petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabVecRestoreArray

Restores the read-only direct access array obtained via DMMoabVecGetArray

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecRestoreArrayRead(DM dm,Vec vec,void* array)

Collective on MPI_Comm

### Input Parameter

| dm | - The DMMoab object being set
| vec | - The Vector whose underlying data is requested
| array | - The local data array

### Keywords

MOAB, distributed array

### See Also

DMMoabVecGetArrayRead(), DMMoabVecGetArray(), DMMoabVecRestoreArray()

Level:intermediate
Location:src/dm/impls/moab/dmmbvec.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages